Bulk edit form lacks estimated time field
2010-03-23 13:13 - Daniel Maas

Status: Closed Start date: 2010-03-23
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.2.2

Resolution: Fixed Affected version:

Description

If I have a lot of tickets without estimated time,
it would be nice to bulk edit estimated times.
(Or is that possible? - | didn't find that)

For example select all the ticket where | want

to estimate time to, right click, menu - "estimate time (for selected tickets)".
If there would be a list with selected ticket and an input field

for each time | want to estimate - that would be great.

Thanks

Associated revisions

Revision 15290 - 2016-04-03 13:48 - Jean-Philippe Lang
Bulk edit form lacks estimated time field (#5156).

Patch by Go MAEDA.

Revision 15308 - 2016-04-09 07:53 - Jean-Philippe Lang
Merged r15290 (#5156).

History

#1 - 2011-03-30 09:27 - Hans Bangkok

+1 seemed strange to me that it wasn't there, thought it was a bug

#2 - 2011-12-07 19:12 - Gerry Hawkins

| too would like to see this.

| am trying to have all tasks with an estimate.
| would like to bulk update ones that don't.
So +1.

Thanks

#3 - 2013-06-27 17:49 - Robert Hailey

+1

Hear, hear!

#4 - 2013-07-18 02:04 - Adam Clark

+1

One way to make the Ul simpler here would be to define a list of preset times, which could be directly selected from the context menu. ISTM that if
you are doing bulk updates you're probably doing an order-of-magnitude estimate anyway, so high precision isn't really required.

Something logarithmic, like 30m/1h/2h/4h/1d/2d/4d/1w, would give a value never more than 40% or so from any actual estimate, which as a quick cut
seems more than sufficient. Allowing the list to be custom defined would obviously be more flexible, though.

#5 - 2013-09-27 07:41 - Ewan Makepeace
+1

| specifically identify new issues by their lack of an estimate - however where 100’ of entries were added as subtasks of a complex ISO compliance
effort | would like to be able to just give each the same nominal estimated time for now. Strangely this is not possible!

#6 - 2014-01-10 16:07 - Olivier Houdas

ewan ewan : Bulk edit of estimated times is possible through the right click menu over the check column of lists of issues.
o . ) ; ;

> right click over that column

-> Choose the very first item (Change, with a pen icon)

You will reach a page where you can set an Estimated time.

Note that you can change the number of issues listed in a single page in the Administration options.

Giving various values for items in the list and saving all when finished is not possible, though, and this is the purpose of this request.

#7 - 2015-01-29 13:23 - Henry Auffahrt

+1

We need this feature, too!
Didn’t know why this is not implemented :(

#8 - 2016-01-28 13:38 - Sebastian Paluch

+1

#9 - 2016-03-30 05:44 - Go MAEDA

- Target version set to Candidate for next major release

+1 and | think this feature should be implemented.
Setting target version to "Candidate for next major release".

#10 - 2016-03-30 12:16 - Go MAEDA
- File feature-5156.diff added

Here's a patch for Redmine 3.2.1.devel.15287: feature-5156.diff

#11 - 2016-03-30 12:38 - Go MAEDA
- File feature-5156-v2.diff added

Added tests: feature-5156-v2.diff

#12 - 2016-03-31 00:28 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.2

#13 - 2016-03-31 00:38 - Go MAEDA

- Tracker changed from Feature to Defect

- Subject changed from Bulk Estimate Time to Bulk edit form lacks estimated time field
- Target version deleted (3.2.2)

- Affected version set to 3.1.3

#14 - 2016-03-31 00:38 - Go MAEDA
- Target version set to 3.2.2

- Affected version deleted (3.1.3)

#15 - 2016-04-03 13:48 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.
https://www.redmine.org/users/19110
https://www.redmine.org/attachments/15656
https://www.redmine.org/attachments/15657

#16 - 2016-04-09 07:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#17 - 2016-04-22 00:18 - Alexandre Tolstenko Nogueira

Thanks guys! | will try it now!

Files

feature-5156.diff 907 Bytes 2016-03-30 Go MAEDA

feature-5156-v2.diff 1.67 KB 2016-03-30 Go MAEDA
